/*
 * OPEY 2008
 * Luokka kuvaa tietuetta, joka sislt nimen ja 
 * puhelinnumeron.
 * 
 * Kirjoittanut Kerttu Pollari-Malmi
 */
public class Puhelintieto {
  private String nimi;
  private String numero;


  /*
   * Konstruktori saa parametrina luotavaan tietueeseen
   * tulevan nimen ja puhelinnumeron.
   */
  public Puhelintieto(String nimi, String numero) {
    this.nimi = nimi;
    this.numero = numero;
  }


  /*
   * Metodi palauttaa tietueeseen kuuluvan nimen.
   */
  public String kerroNimi() {
    return this.nimi;
  }


  /*
   * Metodi palauttaa tietueeseen kuuluvan puhelinnumeron.
   */
  public String kerroNumero() {
    return this.numero;
  }


  /*
   * Metodi muuttaa tietueeseen kuuluvan puhelinnumeron.
   * Uusi puhelinnumeron annetaan parametrina.
   */
  public void muutaNumero(String uusiNro) {
    this.numero = uusiNro;
  }


  /*
   * Metodi palauttaa merkkijonon, joka sislt tietueeseen
   * kuuluvan nimen ja puhelinnumeron.
   */
  public String toString() {
    return this.nimi +": " + this.numero;
  }
}
